# $EPIC: isdisplaying,v 1.4 2002/01/13 00:27:11 anders Exp $
Synopsis:
   $isdisplaying()

Technical:
   * This function returns 0 if output is being "suppressed".
   * This function returns 1 if output is not being "suppressed"
   * Output is NEVER "suppressed" in the following circumstances
	* The /ECHO command turns off the suppressed value unless you
	  specify the /ECHO -SAY option
	* The /SENDLINE command turns off the suppressed value.
   * Output is "suppressed" in the following circumstances:
	* During the /load command
	* Whenever a command or alias is executed and is prefixed with the
	  caret modifier (ie, ^msg)
	* Whenever a /ON hook of type "QUIET" or "SILENT" is being executed.
	  -- All commands executed in such an /ON are treated as if they had
	     been prefixed with a caret!  This is important to understand!
	* Whenever all /EXEC processes are being killed for administrative
	  reasons (at shutdown, or when a SIGUSR1 is received)
	* Whenever the /HELP window is being destroyed.
   * The /on send_* hooks (/on send_msg, /on send_public, /on send_notice, etc)
     ARE NOT HOOKED when output is being suppressed.

Practical:
   This function tells you whether or not the /ECHO -SAY command will actually
   output the string or not.  Maybe you'd rather log something when output
   is suppressed rather than displaying it.

Returns:
   The return value is either 0 or 1, depending on whether output is 
   currently being suppressed.

